Bug 101685 - (ACPI) Xircom RBEM-56G-100 on Tecra 8000 no go with acpi
(ACPI) Xircom RBEM-56G-100 on Tecra 8000 no go with acpi
Product: Red Hat Linux Beta
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
Reported: 2003-08-05 12:02 EDT by Patrick
Modified: 2013-07-02 22:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-03 03:49:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Output of dmesg -s40000 on Toshiba Tecra 8000 with pci=noacpi (7.94 KB, text/plain)
2003-10-18 12:02 EDT, Patrick
no flags Details
Output of acpidmp on toshiba Tecra 8000 with pci=noacpi (98.58 KB, text/plain)
2003-10-18 12:03 EDT, Patrick
no flags Details

  None (edit)
Description Patrick 2003-08-05 12:02:15 EDT
Description of problem:
Cleanly installed Severn via nfs with linux askmethod nofb acpi=off. The system
reboots, boots linux and when it tries to start the pcmcia service it hangs with
messages that is doesn't know an IRQ for Pin A and B of the pcmcia card.

Version-Release number of selected component (if applicable):
no idea

How reproducible:
Just reboot the laptop and wait. Always happens.

Steps to Reproduce:
1. turn on laptop
2. let it run or add runlevel 3 in grub menu
3. wait till laptop hangs after "Starting pcmcia"

Actual results:

Expected results:
That it properly activates the pcmcia slot & Xircom card and boots fine so I can
enjoy Severn :)

Additional info:
The problem does *not* occur when I add pci=noacpi to the grub menu line. Then
the pcmcia services are started correctly and the Xircom card is recognized and
properly activated (I can ping another host).
Comment 1 Bill Nottingham 2003-08-05 13:19:08 EDT
Can you post the output of 'acpidmp' and 'dmidecode'?
Comment 2 Len Brown 2003-08-05 14:26:17 EDT
/proc/interrupts and dmesg -s40000 output from the success case could also help.  
Also, if you've got a serial port on this model it would be great if we can get a look at 
the boot messages from the failing boot. 
Comment 3 Patrick 2003-10-18 12:02:40 EDT
Created attachment 95281 [details]
Output of dmesg -s40000 on Toshiba Tecra 8000 with pci=noacpi
Comment 4 Patrick 2003-10-18 12:03:58 EDT
Created attachment 95282 [details]
Output of acpidmp on toshiba Tecra 8000 with pci=noacpi
Comment 5 Patrick 2003-10-18 12:06:26 EDT
Sorry for the delay guys. I've moved on to Fedora Core Test3 with kernel
2.4.22-1.2097.nptl. Just ran up2date and tried again with acpi=on. Problem
remains. Here are the final lines from the boot process
Starting pcmcia:   PCI: Emabling device 00:0b.0 (0000 -> 0002)
PCI: No IRQ known for interrupt pin A on device 00.0b.0 - using IRQ 255
PCI: Enabling device 00:0b.1 (0000 -> 0002)
PCI: No IRQ known for interrupt pin B on device 00.0b.1 - using IRQ 255
Yenta IRQ list 8498, PCI irq0
Socket status: 30000020
<laptop hangs indefinitely>
[root@tecra root]# cat /proc/interrupts
  0:      28959          XT-PIC  timer
  1:          2          XT-PIC  keyboard
  2:          0          XT-PIC  cascade
  5:          1          XT-PIC  MS Sound System
  8:          1          XT-PIC  rtc
 11:        800          XT-PIC  usb-uhci, Toshiba America Info Systems ToPIC97,
Toshiba America Info Systems ToPIC97 (#2), eth0
 14:       3146          XT-PIC  ide0
 15:         22          XT-PIC  ide1
NMI:          0
ERR:          0

Output of dmidecode is:
[root@tecra root]# dmidecode
RSD PTR found at 0xF1130
checksum failed.
PNP BIOS present.
The output of acpidmp and dmesg -s40000 is attached.
Comment 6 Patrick 2003-10-21 20:50:49 EDT
This has been resolved partially. Please see the comments at

Note You need to log in before you can comment on or make changes to this bug.